#
# spec file for package rubygem-coderay
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-coderay
Version:        1.1.3
Release:        1.21
%define mod_name coderay
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.6}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            http://coderay.rubychan.de
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Fast syntax highlighting for selected languages
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Fast and easy syntax highlighting for selected languages, written in Ruby.
Comes with RedCloth integration and LOC counter.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="MIT-LICENSE" \
  -f

%gem_packages

%changelog
* Sat Jun 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.1.3
  * Tokens: Ensure Ruby 2.6 compatibility. [#233, thanks to Jun Aruga]
  * SQL scanner: Add numeric data type. [#223, thanks to m16a1]
  * Java scanner: Add var as type. [#229, thanks to Davide Angelocola]
  * Gem: Fix deprecation warning. [#246, thanks to David Rodríguez]
* Mon Sep 11 2017 coolo@suse.com
- updated to version 1.1.2
  no changelog found
* Sun Feb 21 2016 coolo@suse.com
- updated to version 1.1.1
  no changelog found
* Wed Oct 22 2014 tboerger@suse.com
- Updated to new ruby macros
* Tue Sep  3 2013 coolo@suse.com
- updated to version 1.1.0, no changelog
* Sun Mar  3 2013 coolo@suse.com
- updated to version 1.0.9
* Mon Oct  8 2012 coolo@suse.com
- updated to version 1.0.8, no changelog
* Fri Jun 29 2012 coolo@suse.com
- update to 1.0.7
* Thu Apr 12 2012 saschpe@suse.de
- Also provide rubygem-codery-1_0
* Thu Apr 12 2012 saschpe@suse.de
- Update to version 1.0.6:
* Wed Jan  4 2012 suse@ammler.ch
- update to version 1.0.5
* Tue Jul  5 2011 mrueckert@suse.com
- update to version 0.9.8
* Tue Apr 26 2011 mrueckert@suse.de
- update to version 0.9.7
* Wed Aug  4 2010 dmacvicar@novell.com
- fix license
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.9.3
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 0.9.1
* Fri Dec 25 2009 prusnak@suse.cz
- created package
